Subject: Re: bug#60525: 29.0.60; tree-sitter support in semantic-symref

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Jan 2023 19:17:17 +0200

> Date: Wed, 4 Jan 2023 19:03:28 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 04/01/2023 18:57, Eli Zaretskii wrote:
> > I' aware of the redundancy.  But since we decided to go with those
> > separate modes in Emacs 29, I think the redundancy is in general
> > unavoidable.  If we can use the fact that auto-mode-alist already
> > mentions both modes, and we can do that cleanly, it's fine by me.
> > Otherwise we will have to live with this for now.
> 
> I believe Stefan is referring to redundancy between auto-mode-alist and 
> semantic-symref-filepattern-alist.

Yes, I understood that, and my response was to that aspect.